import { RefObject } from 'react';
declare type QueryCalculator = `${'min' | 'max'}-${'width' | 'height'}`;
declare type Query = `${QueryCalculator}: ${number}px`;
export declare const useContainerQuery: <Ref = HTMLDivElement>(query: Query, options?: {
    observeOptions?: ResizeObserverOptions | undefined;
} | undefined) => [RefObject<Ref>, boolean | null];
/**
 * Detecting multiple container queries within the same Element
 */
export declare const useContainerQueries: <Ref = HTMLDivElement, BreakpointName extends string = string>(queries: Partial<Record<BreakpointName, `min-width: ${number}px` | `min-height: ${number}px` | `max-width: ${number}px` | `max-height: ${number}px`>>, options?: {
    observeOptions?: ResizeObserverOptions | undefined;
} | undefined) => [RefObject<Ref>, Partial<Record<"width" | "height", BreakpointName>> | Record<string, never>];
export {};
